Webstorm 2020.3 crashes on startup with Java Error

Booting up Webstorm after updating to the newest version is giving me the error "Cannot start under Java 1.8.0_152-release-915-b7: Java 11 or later is required."

I've tried installing the Java 11 development kit to no success.

4 comments
Comment actions Permalink

Do you have ~/Application Support/JetBrains/WebStorm2020.3/jdks folder and ~/Application Support/JetBrains/WebStorm2020.3/*.jdk file? If yes, does removing them make things any better?

1
Comment actions Permalink

Those look like Mac Addresses, I'm on windows. Could have been more clear, apologies. I couldn't find the windows equivalent on my own.

My fix for now has to been to downgrade to the previous version. Obviously I'd love to have the updates though.

0
Comment actions Permalink

Please try searching for %APPDATA%/JetBrains/WebStorm2020.3/webstorm.jdk file - deleting it should fix the issue

%APPDATA% is normally ~\AppData\Roaming\

0
Comment actions Permalink

That worked, thank you!! Have yourself a wonderful day.

0

Please sign in to leave a comment.